close all, clear all, clc
a=imread('novine1.jpg');
s=size(a);
h=imhist(a);
imhist(a), title('Histogram orginalne slike')

max1=h(1);             %prvi maksimum
for i=2:256
   if h(i)>max1
      index1=i; max1=h(i);
   elseif h(i)<=max1   
   end
end
index1, max1

for l=1:256            %skaliranje histograma
    h1(l)=h(l).*(l-index1)^2;
end

max2=h(1);             %drugi maksimum
for i=2:256
   if h1(i)>max2
      index2=i; max2=h1(i);
   elseif h1(i)<=max2   
   end
end
index2, max2

prag=index1;            %minimum iymedju dva maksimuma
for i=index2:index1
    if h(i)<h(prag)
        prag=i;
    elseif h(i)>=h(prag)
    end
    
end
prag
tr=h(prag)
binarna = im2bw(a, prag/256);

figure,
subplot(121), imshow(a), title('Orginalna slika')
subplot(122), imshow(binarna), title('Segmentirana slika')